Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network54.64.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
54.64.0.0
Broadcast address
54.127.255.255
First usable
54.64.0.1
Last usable
54.127.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 36400000 · Integer 910163968 to 914358271
Reverse DNS zones
64.54.in-addr.arpa
65.54.in-addr.arpa
66.54.in-addr.arpa
67.54.in-addr.arpa
68.54.in-addr.arpa
69.54.in-addr.arpa
70.54.in-addr.arpa
71.54.in-addr.arpa
72.54.in-addr.arpa
73.54.in-addr.arpa
74.54.in-addr.arpa
75.54.in-addr.arpa
76.54.in-addr.arpa
77.54.in-addr.arpa
78.54.in-addr.arpa
79.54.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110110.01000000.00000000.0000000054.64.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00110110.01000000.00000000.0000000054.64.0.0
Broadcast00110110.01111111.11111111.1111111154.127.255.255
Split into smaller subnets/18

54.64.0.0/10 makes 256 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
154.64.0.0/1854.64.0.1 to 54.64.63.25454.64.63.25516,382
254.64.64.0/1854.64.64.1 to 54.64.127.25454.64.127.25516,382
354.64.128.0/1854.64.128.1 to 54.64.191.25454.64.191.25516,382
454.64.192.0/1854.64.192.1 to 54.64.255.25454.64.255.25516,382
554.65.0.0/1854.65.0.1 to 54.65.63.25454.65.63.25516,382
654.65.64.0/1854.65.64.1 to 54.65.127.25454.65.127.25516,382
754.65.128.0/1854.65.128.1 to 54.65.191.25454.65.191.25516,382
854.65.192.0/1854.65.192.1 to 54.65.255.25454.65.255.25516,382
954.66.0.0/1854.66.0.1 to 54.66.63.25454.66.63.25516,382
1054.66.64.0/1854.66.64.1 to 54.66.127.25454.66.127.25516,382
1154.66.128.0/1854.66.128.1 to 54.66.191.25454.66.191.25516,382
1254.66.192.0/1854.66.192.1 to 54.66.255.25454.66.255.25516,382
1354.67.0.0/1854.67.0.1 to 54.67.63.25454.67.63.25516,382
1454.67.64.0/1854.67.64.1 to 54.67.127.25454.67.127.25516,382
1554.67.128.0/1854.67.128.1 to 54.67.191.25454.67.191.25516,382
1654.67.192.0/1854.67.192.1 to 54.67.255.25454.67.255.25516,382
1754.68.0.0/1854.68.0.1 to 54.68.63.25454.68.63.25516,382
1854.68.64.0/1854.68.64.1 to 54.68.127.25454.68.127.25516,382
1954.68.128.0/1854.68.128.1 to 54.68.191.25454.68.191.25516,382
2054.68.192.0/1854.68.192.1 to 54.68.255.25454.68.255.25516,382
2154.69.0.0/1854.69.0.1 to 54.69.63.25454.69.63.25516,382
2254.69.64.0/1854.69.64.1 to 54.69.127.25454.69.127.25516,382
2354.69.128.0/1854.69.128.1 to 54.69.191.25454.69.191.25516,382
2454.69.192.0/1854.69.192.1 to 54.69.255.25454.69.255.25516,382
2554.70.0.0/1854.70.0.1 to 54.70.63.25454.70.63.25516,382
2654.70.64.0/1854.70.64.1 to 54.70.127.25454.70.127.25516,382
2754.70.128.0/1854.70.128.1 to 54.70.191.25454.70.191.25516,382
2854.70.192.0/1854.70.192.1 to 54.70.255.25454.70.255.25516,382
2954.71.0.0/1854.71.0.1 to 54.71.63.25454.71.63.25516,382
3054.71.64.0/1854.71.64.1 to 54.71.127.25454.71.127.25516,382
3154.71.128.0/1854.71.128.1 to 54.71.191.25454.71.191.25516,382
3254.71.192.0/1854.71.192.1 to 54.71.255.25454.71.255.25516,382
3354.72.0.0/1854.72.0.1 to 54.72.63.25454.72.63.25516,382
3454.72.64.0/1854.72.64.1 to 54.72.127.25454.72.127.25516,382
3554.72.128.0/1854.72.128.1 to 54.72.191.25454.72.191.25516,382
3654.72.192.0/1854.72.192.1 to 54.72.255.25454.72.255.25516,382
3754.73.0.0/1854.73.0.1 to 54.73.63.25454.73.63.25516,382
3854.73.64.0/1854.73.64.1 to 54.73.127.25454.73.127.25516,382
3954.73.128.0/1854.73.128.1 to 54.73.191.25454.73.191.25516,382
4054.73.192.0/1854.73.192.1 to 54.73.255.25454.73.255.25516,382
4154.74.0.0/1854.74.0.1 to 54.74.63.25454.74.63.25516,382
4254.74.64.0/1854.74.64.1 to 54.74.127.25454.74.127.25516,382
4354.74.128.0/1854.74.128.1 to 54.74.191.25454.74.191.25516,382
4454.74.192.0/1854.74.192.1 to 54.74.255.25454.74.255.25516,382
4554.75.0.0/1854.75.0.1 to 54.75.63.25454.75.63.25516,382
4654.75.64.0/1854.75.64.1 to 54.75.127.25454.75.127.25516,382
4754.75.128.0/1854.75.128.1 to 54.75.191.25454.75.191.25516,382
4854.75.192.0/1854.75.192.1 to 54.75.255.25454.75.255.25516,382
4954.76.0.0/1854.76.0.1 to 54.76.63.25454.76.63.25516,382
5054.76.64.0/1854.76.64.1 to 54.76.127.25454.76.127.25516,382
5154.76.128.0/1854.76.128.1 to 54.76.191.25454.76.191.25516,382
5254.76.192.0/1854.76.192.1 to 54.76.255.25454.76.255.25516,382
5354.77.0.0/1854.77.0.1 to 54.77.63.25454.77.63.25516,382
5454.77.64.0/1854.77.64.1 to 54.77.127.25454.77.127.25516,382
5554.77.128.0/1854.77.128.1 to 54.77.191.25454.77.191.25516,382
5654.77.192.0/1854.77.192.1 to 54.77.255.25454.77.255.25516,382
5754.78.0.0/1854.78.0.1 to 54.78.63.25454.78.63.25516,382
5854.78.64.0/1854.78.64.1 to 54.78.127.25454.78.127.25516,382
5954.78.128.0/1854.78.128.1 to 54.78.191.25454.78.191.25516,382
6054.78.192.0/1854.78.192.1 to 54.78.255.25454.78.255.25516,382
6154.79.0.0/1854.79.0.1 to 54.79.63.25454.79.63.25516,382
6254.79.64.0/1854.79.64.1 to 54.79.127.25454.79.127.25516,382
6354.79.128.0/1854.79.128.1 to 54.79.191.25454.79.191.25516,382
6454.79.192.0/1854.79.192.1 to 54.79.255.25454.79.255.25516,382
6554.80.0.0/1854.80.0.1 to 54.80.63.25454.80.63.25516,382
6654.80.64.0/1854.80.64.1 to 54.80.127.25454.80.127.25516,382
6754.80.128.0/1854.80.128.1 to 54.80.191.25454.80.191.25516,382
6854.80.192.0/1854.80.192.1 to 54.80.255.25454.80.255.25516,382
6954.81.0.0/1854.81.0.1 to 54.81.63.25454.81.63.25516,382
7054.81.64.0/1854.81.64.1 to 54.81.127.25454.81.127.25516,382
7154.81.128.0/1854.81.128.1 to 54.81.191.25454.81.191.25516,382
7254.81.192.0/1854.81.192.1 to 54.81.255.25454.81.255.25516,382
7354.82.0.0/1854.82.0.1 to 54.82.63.25454.82.63.25516,382
7454.82.64.0/1854.82.64.1 to 54.82.127.25454.82.127.25516,382
7554.82.128.0/1854.82.128.1 to 54.82.191.25454.82.191.25516,382
7654.82.192.0/1854.82.192.1 to 54.82.255.25454.82.255.25516,382
7754.83.0.0/1854.83.0.1 to 54.83.63.25454.83.63.25516,382
7854.83.64.0/1854.83.64.1 to 54.83.127.25454.83.127.25516,382
7954.83.128.0/1854.83.128.1 to 54.83.191.25454.83.191.25516,382
8054.83.192.0/1854.83.192.1 to 54.83.255.25454.83.255.25516,382
8154.84.0.0/1854.84.0.1 to 54.84.63.25454.84.63.25516,382
8254.84.64.0/1854.84.64.1 to 54.84.127.25454.84.127.25516,382
8354.84.128.0/1854.84.128.1 to 54.84.191.25454.84.191.25516,382
8454.84.192.0/1854.84.192.1 to 54.84.255.25454.84.255.25516,382
8554.85.0.0/1854.85.0.1 to 54.85.63.25454.85.63.25516,382
8654.85.64.0/1854.85.64.1 to 54.85.127.25454.85.127.25516,382
8754.85.128.0/1854.85.128.1 to 54.85.191.25454.85.191.25516,382
8854.85.192.0/1854.85.192.1 to 54.85.255.25454.85.255.25516,382
8954.86.0.0/1854.86.0.1 to 54.86.63.25454.86.63.25516,382
9054.86.64.0/1854.86.64.1 to 54.86.127.25454.86.127.25516,382
9154.86.128.0/1854.86.128.1 to 54.86.191.25454.86.191.25516,382
9254.86.192.0/1854.86.192.1 to 54.86.255.25454.86.255.25516,382
9354.87.0.0/1854.87.0.1 to 54.87.63.25454.87.63.25516,382
9454.87.64.0/1854.87.64.1 to 54.87.127.25454.87.127.25516,382
9554.87.128.0/1854.87.128.1 to 54.87.191.25454.87.191.25516,382
9654.87.192.0/1854.87.192.1 to 54.87.255.25454.87.255.25516,382
9754.88.0.0/1854.88.0.1 to 54.88.63.25454.88.63.25516,382
9854.88.64.0/1854.88.64.1 to 54.88.127.25454.88.127.25516,382
9954.88.128.0/1854.88.128.1 to 54.88.191.25454.88.191.25516,382
10054.88.192.0/1854.88.192.1 to 54.88.255.25454.88.255.25516,382
10154.89.0.0/1854.89.0.1 to 54.89.63.25454.89.63.25516,382
10254.89.64.0/1854.89.64.1 to 54.89.127.25454.89.127.25516,382
10354.89.128.0/1854.89.128.1 to 54.89.191.25454.89.191.25516,382
10454.89.192.0/1854.89.192.1 to 54.89.255.25454.89.255.25516,382
10554.90.0.0/1854.90.0.1 to 54.90.63.25454.90.63.25516,382
10654.90.64.0/1854.90.64.1 to 54.90.127.25454.90.127.25516,382
10754.90.128.0/1854.90.128.1 to 54.90.191.25454.90.191.25516,382
10854.90.192.0/1854.90.192.1 to 54.90.255.25454.90.255.25516,382
10954.91.0.0/1854.91.0.1 to 54.91.63.25454.91.63.25516,382
11054.91.64.0/1854.91.64.1 to 54.91.127.25454.91.127.25516,382
11154.91.128.0/1854.91.128.1 to 54.91.191.25454.91.191.25516,382
11254.91.192.0/1854.91.192.1 to 54.91.255.25454.91.255.25516,382
11354.92.0.0/1854.92.0.1 to 54.92.63.25454.92.63.25516,382
11454.92.64.0/1854.92.64.1 to 54.92.127.25454.92.127.25516,382
11554.92.128.0/1854.92.128.1 to 54.92.191.25454.92.191.25516,382
11654.92.192.0/1854.92.192.1 to 54.92.255.25454.92.255.25516,382
11754.93.0.0/1854.93.0.1 to 54.93.63.25454.93.63.25516,382
11854.93.64.0/1854.93.64.1 to 54.93.127.25454.93.127.25516,382
11954.93.128.0/1854.93.128.1 to 54.93.191.25454.93.191.25516,382
12054.93.192.0/1854.93.192.1 to 54.93.255.25454.93.255.25516,382
12154.94.0.0/1854.94.0.1 to 54.94.63.25454.94.63.25516,382
12254.94.64.0/1854.94.64.1 to 54.94.127.25454.94.127.25516,382
12354.94.128.0/1854.94.128.1 to 54.94.191.25454.94.191.25516,382
12454.94.192.0/1854.94.192.1 to 54.94.255.25454.94.255.25516,382
12554.95.0.0/1854.95.0.1 to 54.95.63.25454.95.63.25516,382
12654.95.64.0/1854.95.64.1 to 54.95.127.25454.95.127.25516,382
12754.95.128.0/1854.95.128.1 to 54.95.191.25454.95.191.25516,382
12854.95.192.0/1854.95.192.1 to 54.95.255.25454.95.255.25516,382
12954.96.0.0/1854.96.0.1 to 54.96.63.25454.96.63.25516,382
13054.96.64.0/1854.96.64.1 to 54.96.127.25454.96.127.25516,382
13154.96.128.0/1854.96.128.1 to 54.96.191.25454.96.191.25516,382
13254.96.192.0/1854.96.192.1 to 54.96.255.25454.96.255.25516,382
13354.97.0.0/1854.97.0.1 to 54.97.63.25454.97.63.25516,382
13454.97.64.0/1854.97.64.1 to 54.97.127.25454.97.127.25516,382
13554.97.128.0/1854.97.128.1 to 54.97.191.25454.97.191.25516,382
13654.97.192.0/1854.97.192.1 to 54.97.255.25454.97.255.25516,382
13754.98.0.0/1854.98.0.1 to 54.98.63.25454.98.63.25516,382
13854.98.64.0/1854.98.64.1 to 54.98.127.25454.98.127.25516,382
13954.98.128.0/1854.98.128.1 to 54.98.191.25454.98.191.25516,382
14054.98.192.0/1854.98.192.1 to 54.98.255.25454.98.255.25516,382
14154.99.0.0/1854.99.0.1 to 54.99.63.25454.99.63.25516,382
14254.99.64.0/1854.99.64.1 to 54.99.127.25454.99.127.25516,382
14354.99.128.0/1854.99.128.1 to 54.99.191.25454.99.191.25516,382
14454.99.192.0/1854.99.192.1 to 54.99.255.25454.99.255.25516,382
14554.100.0.0/1854.100.0.1 to 54.100.63.25454.100.63.25516,382
14654.100.64.0/1854.100.64.1 to 54.100.127.25454.100.127.25516,382
14754.100.128.0/1854.100.128.1 to 54.100.191.25454.100.191.25516,382
14854.100.192.0/1854.100.192.1 to 54.100.255.25454.100.255.25516,382
14954.101.0.0/1854.101.0.1 to 54.101.63.25454.101.63.25516,382
15054.101.64.0/1854.101.64.1 to 54.101.127.25454.101.127.25516,382
15154.101.128.0/1854.101.128.1 to 54.101.191.25454.101.191.25516,382
15254.101.192.0/1854.101.192.1 to 54.101.255.25454.101.255.25516,382
15354.102.0.0/1854.102.0.1 to 54.102.63.25454.102.63.25516,382
15454.102.64.0/1854.102.64.1 to 54.102.127.25454.102.127.25516,382
15554.102.128.0/1854.102.128.1 to 54.102.191.25454.102.191.25516,382
15654.102.192.0/1854.102.192.1 to 54.102.255.25454.102.255.25516,382
15754.103.0.0/1854.103.0.1 to 54.103.63.25454.103.63.25516,382
15854.103.64.0/1854.103.64.1 to 54.103.127.25454.103.127.25516,382
15954.103.128.0/1854.103.128.1 to 54.103.191.25454.103.191.25516,382
16054.103.192.0/1854.103.192.1 to 54.103.255.25454.103.255.25516,382
16154.104.0.0/1854.104.0.1 to 54.104.63.25454.104.63.25516,382
16254.104.64.0/1854.104.64.1 to 54.104.127.25454.104.127.25516,382
16354.104.128.0/1854.104.128.1 to 54.104.191.25454.104.191.25516,382
16454.104.192.0/1854.104.192.1 to 54.104.255.25454.104.255.25516,382
16554.105.0.0/1854.105.0.1 to 54.105.63.25454.105.63.25516,382
16654.105.64.0/1854.105.64.1 to 54.105.127.25454.105.127.25516,382
16754.105.128.0/1854.105.128.1 to 54.105.191.25454.105.191.25516,382
16854.105.192.0/1854.105.192.1 to 54.105.255.25454.105.255.25516,382
16954.106.0.0/1854.106.0.1 to 54.106.63.25454.106.63.25516,382
17054.106.64.0/1854.106.64.1 to 54.106.127.25454.106.127.25516,382
17154.106.128.0/1854.106.128.1 to 54.106.191.25454.106.191.25516,382
17254.106.192.0/1854.106.192.1 to 54.106.255.25454.106.255.25516,382
17354.107.0.0/1854.107.0.1 to 54.107.63.25454.107.63.25516,382
17454.107.64.0/1854.107.64.1 to 54.107.127.25454.107.127.25516,382
17554.107.128.0/1854.107.128.1 to 54.107.191.25454.107.191.25516,382
17654.107.192.0/1854.107.192.1 to 54.107.255.25454.107.255.25516,382
17754.108.0.0/1854.108.0.1 to 54.108.63.25454.108.63.25516,382
17854.108.64.0/1854.108.64.1 to 54.108.127.25454.108.127.25516,382
17954.108.128.0/1854.108.128.1 to 54.108.191.25454.108.191.25516,382
18054.108.192.0/1854.108.192.1 to 54.108.255.25454.108.255.25516,382
18154.109.0.0/1854.109.0.1 to 54.109.63.25454.109.63.25516,382
18254.109.64.0/1854.109.64.1 to 54.109.127.25454.109.127.25516,382
18354.109.128.0/1854.109.128.1 to 54.109.191.25454.109.191.25516,382
18454.109.192.0/1854.109.192.1 to 54.109.255.25454.109.255.25516,382
18554.110.0.0/1854.110.0.1 to 54.110.63.25454.110.63.25516,382
18654.110.64.0/1854.110.64.1 to 54.110.127.25454.110.127.25516,382
18754.110.128.0/1854.110.128.1 to 54.110.191.25454.110.191.25516,382
18854.110.192.0/1854.110.192.1 to 54.110.255.25454.110.255.25516,382
18954.111.0.0/1854.111.0.1 to 54.111.63.25454.111.63.25516,382
19054.111.64.0/1854.111.64.1 to 54.111.127.25454.111.127.25516,382
19154.111.128.0/1854.111.128.1 to 54.111.191.25454.111.191.25516,382
19254.111.192.0/1854.111.192.1 to 54.111.255.25454.111.255.25516,382
19354.112.0.0/1854.112.0.1 to 54.112.63.25454.112.63.25516,382
19454.112.64.0/1854.112.64.1 to 54.112.127.25454.112.127.25516,382
19554.112.128.0/1854.112.128.1 to 54.112.191.25454.112.191.25516,382
19654.112.192.0/1854.112.192.1 to 54.112.255.25454.112.255.25516,382
19754.113.0.0/1854.113.0.1 to 54.113.63.25454.113.63.25516,382
19854.113.64.0/1854.113.64.1 to 54.113.127.25454.113.127.25516,382
19954.113.128.0/1854.113.128.1 to 54.113.191.25454.113.191.25516,382
20054.113.192.0/1854.113.192.1 to 54.113.255.25454.113.255.25516,382
20154.114.0.0/1854.114.0.1 to 54.114.63.25454.114.63.25516,382
20254.114.64.0/1854.114.64.1 to 54.114.127.25454.114.127.25516,382
20354.114.128.0/1854.114.128.1 to 54.114.191.25454.114.191.25516,382
20454.114.192.0/1854.114.192.1 to 54.114.255.25454.114.255.25516,382
20554.115.0.0/1854.115.0.1 to 54.115.63.25454.115.63.25516,382
20654.115.64.0/1854.115.64.1 to 54.115.127.25454.115.127.25516,382
20754.115.128.0/1854.115.128.1 to 54.115.191.25454.115.191.25516,382
20854.115.192.0/1854.115.192.1 to 54.115.255.25454.115.255.25516,382
20954.116.0.0/1854.116.0.1 to 54.116.63.25454.116.63.25516,382
21054.116.64.0/1854.116.64.1 to 54.116.127.25454.116.127.25516,382
21154.116.128.0/1854.116.128.1 to 54.116.191.25454.116.191.25516,382
21254.116.192.0/1854.116.192.1 to 54.116.255.25454.116.255.25516,382
21354.117.0.0/1854.117.0.1 to 54.117.63.25454.117.63.25516,382
21454.117.64.0/1854.117.64.1 to 54.117.127.25454.117.127.25516,382
21554.117.128.0/1854.117.128.1 to 54.117.191.25454.117.191.25516,382
21654.117.192.0/1854.117.192.1 to 54.117.255.25454.117.255.25516,382
21754.118.0.0/1854.118.0.1 to 54.118.63.25454.118.63.25516,382
21854.118.64.0/1854.118.64.1 to 54.118.127.25454.118.127.25516,382
21954.118.128.0/1854.118.128.1 to 54.118.191.25454.118.191.25516,382
22054.118.192.0/1854.118.192.1 to 54.118.255.25454.118.255.25516,382
22154.119.0.0/1854.119.0.1 to 54.119.63.25454.119.63.25516,382
22254.119.64.0/1854.119.64.1 to 54.119.127.25454.119.127.25516,382
22354.119.128.0/1854.119.128.1 to 54.119.191.25454.119.191.25516,382
22454.119.192.0/1854.119.192.1 to 54.119.255.25454.119.255.25516,382
22554.120.0.0/1854.120.0.1 to 54.120.63.25454.120.63.25516,382
22654.120.64.0/1854.120.64.1 to 54.120.127.25454.120.127.25516,382
22754.120.128.0/1854.120.128.1 to 54.120.191.25454.120.191.25516,382
22854.120.192.0/1854.120.192.1 to 54.120.255.25454.120.255.25516,382
22954.121.0.0/1854.121.0.1 to 54.121.63.25454.121.63.25516,382
23054.121.64.0/1854.121.64.1 to 54.121.127.25454.121.127.25516,382
23154.121.128.0/1854.121.128.1 to 54.121.191.25454.121.191.25516,382
23254.121.192.0/1854.121.192.1 to 54.121.255.25454.121.255.25516,382
23354.122.0.0/1854.122.0.1 to 54.122.63.25454.122.63.25516,382
23454.122.64.0/1854.122.64.1 to 54.122.127.25454.122.127.25516,382
23554.122.128.0/1854.122.128.1 to 54.122.191.25454.122.191.25516,382
23654.122.192.0/1854.122.192.1 to 54.122.255.25454.122.255.25516,382
23754.123.0.0/1854.123.0.1 to 54.123.63.25454.123.63.25516,382
23854.123.64.0/1854.123.64.1 to 54.123.127.25454.123.127.25516,382
23954.123.128.0/1854.123.128.1 to 54.123.191.25454.123.191.25516,382
24054.123.192.0/1854.123.192.1 to 54.123.255.25454.123.255.25516,382
24154.124.0.0/1854.124.0.1 to 54.124.63.25454.124.63.25516,382
24254.124.64.0/1854.124.64.1 to 54.124.127.25454.124.127.25516,382
24354.124.128.0/1854.124.128.1 to 54.124.191.25454.124.191.25516,382
24454.124.192.0/1854.124.192.1 to 54.124.255.25454.124.255.25516,382
24554.125.0.0/1854.125.0.1 to 54.125.63.25454.125.63.25516,382
24654.125.64.0/1854.125.64.1 to 54.125.127.25454.125.127.25516,382
24754.125.128.0/1854.125.128.1 to 54.125.191.25454.125.191.25516,382
24854.125.192.0/1854.125.192.1 to 54.125.255.25454.125.255.25516,382
24954.126.0.0/1854.126.0.1 to 54.126.63.25454.126.63.25516,382
25054.126.64.0/1854.126.64.1 to 54.126.127.25454.126.127.25516,382
25154.126.128.0/1854.126.128.1 to 54.126.191.25454.126.191.25516,382
25254.126.192.0/1854.126.192.1 to 54.126.255.25454.126.255.25516,382
25354.127.0.0/1854.127.0.1 to 54.127.63.25454.127.63.25516,382
25454.127.64.0/1854.127.64.1 to 54.127.127.25454.127.127.25516,382
25554.127.128.0/1854.127.128.1 to 54.127.191.25454.127.191.25516,382
25654.127.192.0/1854.127.192.1 to 54.127.255.25454.127.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses